Create agent user profile

This request creates an Agent User profile.

   Click here to learn more about this request

Agent User profiles represent the users who have access to your LoanPro environment. Note the following when creating Agent User profiles:

Creating an Agent User profile invites a user to your environment. A successful request will result in an email invitation being sent to the email address associated with the profile.

Agent User profiles control the access a user has to your environment. LoanPro's access controls allow for very precise configurations—even down to the individual buttons within the UI and specific endpoints of the API. This type of access is controlled by the user's assigned Role, which is mandatory when creating a user. LoanPro access can also be controlled by "groups", which provide access to portions of specific features like Agent Walkthroughs, Quick Actions, and more. Here's a breakdown of how the settings within the payload of this request affect the user's access:

Payload ParameterAccess Setting NameType of Access
roleIdRole-Based AccessAccess to specific pages and buttons within the UI
Access to specific endpoints and methods within the API
searchRestrictionsGroupIdSearch Restriction GroupsRestricts certain accounts from displaying in search results of the Loan Manager and Line of Credit Manager
searchRestrictionsScGroupIdSearch Restriction Groups (Source Companies)Restricts certain Source Companies from displaying in search results
defaultUserLoanIdNew Account Default SettingsProvides default configurations for new loan accounts created by the user
shortcutsSetIdShortcut SetsProvides pre-determined sets of shortcuts for servicing tasks on the loan summary page.

Please note: Shortcuts only apply to the now deprecated, legacy loan summary page.
ipRestrictionIdIP-Based AccessRestrict access to the entire software based on the user's current IP address.
loanSummaryTemplateIdLoan View GroupsProvides access to a set of dynamic Loan Views, which are account summary pages that change based on the status of the account.
smartPanelGroupIdSmart Panel GroupsProvides access to a set of Smart Panel configurations, which are customizable sidebars that display account information.
wizardGroupIdWalkthrough GroupsProvides access to a set of Agent Walkthroughs, which are configurable guides that help agents complete processes on loan accounts.
quickActionGroupIdQuick Action GroupsProvides access to a set of Quick Actions, which are Configurable guides that help agents complete manual and automated tasks on line of credit accounts.

For an example of how Agent Users are created within the UI, take a look at our Agent Users article.

{
    "firstName": "John",
    "lastName": "Doe",
    "userName": "[email protected]",
    "roleId": 107038,
    "roleType": "tenant",
    "tenantAccessActive": 1,
    "active": 1,
    "gender": "user.gender.male",
    "recoveryEmail": "[email protected]",
    "phone": "8015551234",
    "jobTitle": "Project Manager",
    "searchRestrictionsGroupId": 2,
    "searchRestrictionsScGroupId": 3,
    "defaultUserLoanId": 1,
    "shortcutsSetId": 1,
    "ipRestrictionId": 5,
    "loanSummaryTemplateId": 1,
    "smartPanelGroupId": 1,
    "wizardGroupId": 3,
    "quickActionGroupId": 1
}
{
    "firstName": "John",
    "lastName": "Doe",
    "userName": "[email protected]",
    "roleId": 107038,
    "roleType": "tenant",
    "tenantAccessActive": 1,
    "active": 1
}
Body Params
string
required

The first name of the user.

string
required

The last name of the user.

string
required

The email address of the user. This email address is used as a username during login.
> Must follow standard email formatting.

int32
required

The ID of the access role assigned to the user. This determines broad access to the software.
> To view user role IDs, navigate to Settings > Company > Access > Role-Based Access within the UI.

string
enum
required

Determines the type of the role access provided to the agent user profile. Set this field to tenant.

Allowed:
int32
required

Determines whether the agent user profile has access to the environment. Set to 1 to grant access, and set to 0 to revoke access.

int32
required

Determines whether the agent user profile is active or inactive. Set to 1 for active profiles, and set to 0 for inactive profiles.

string
enum

The gender of the user.

Allowed:
string

An optional recovery email used if the account's username is forgotten or lost.

string

The user's phone number.
> Formatted as a ten-digit number with no dashes or parentheses.

string

The user's job title.

int32

The ID of the Search Restriction Group assigned to the user.
> To view Search Restriction Group IDs, navigate to Settings > Company > Access > Search Restrictions within the UI.

int32

The ID of the Source Company Search Restriction Group assigned to the user.
> To view Search Restriction Group IDs, navigate to Settings > Company > Access > Search Restrictions within the UI.

int32

The ID of the New Account Default Settings Group assigned to the user.

int32

The ID of the Shortcuts Set assigned to the user.
> To view Search Restriction Group IDs, navigate to Settings > Company > Access > Shortcuts within the UI.

int32

The ID of the IP Restrictions Group assigned to the user.

int32

The ID of the Loan View Group assigned to the user.

int32

The ID of the Smart Panel Group assigned to the user.

int32

The ID of the Agent Walkthrough Group assigned to the user.
> To view Search Restriction Group IDs, navigate to Settings > Company > Access > Walkthrough Access Settings within the UI.

int32

The ID of the Quick Action group.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json